Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Interface ChartPanel

All Superinterfaces:
  Context, Disposable, Panel

    public interface ChartPanel

extends Panel

Field Summary
`static int` | `AREA_PLOT`
`static int` | `BAR_PLOT`
`static int` | `BAR_PLOT_3D`
`static int` | `HISTOGRAM`
`static int` | `HORIZONTAL_BAR_PLOT`
`static int` | `HORIZONTAL_BAR_PLOT_3D`
`static int` | `LINE_PLOT`
`static int` | `LINE_PLOT_3D`
`static int` | `PIE_PLOT`
`static int` | `PIE_PLOT_3D`
`static int` | `PLOT_TYPE_MASK`
`static int` | `PREVIOUS_PLOT`
`static int` | `SCATTER_PLOT`
`static int` | `STACKED_AREA_PLOT`
`static int` | `STACKED_BAR_PLOT`
`static int` | `STACKED_BAR_PLOT_3D`
`static int` | `STATISTICAL_BAR_PLOT`
`static int` | `STATISTICS`
`static int` | `threeDe`
`static int` | `TIME_SERIES_PLOT`
`static int` | `WATERFALL_PLOT`
`static int` | `X_LOG`
`static int` | `XY_PLOT`
`static int` | `Y_LOG`

Fields inherited from interface de.grogra.pf.ui.Panel
`DEC_WAIT_CURSOR, DEFAULT_CURSOR, INC_WAIT_CURSOR, INHERIT_CURSOR, PANEL_ID, WAIT_CURSOR`

Method Summary
`void` | `setChart(Dataset dataset, int plotType, Map options)`

Methods inherited from interface de.grogra.pf.ui.Panel
`checkClose, getContent, getDecorator, getMenu, getPanelId, getUIPropertyMap, initDecorator, resolve, setContent, setCursor, setMenu, show`

Methods inherited from interface de.grogra.pf.ui.Context
`getComponent, getPanel, getWindow, getWorkbench`

Methods inherited from interface de.grogra.util.Disposable
`dispose`

Field Detail

### AREA_PLOT

    static final int AREA_PLOT

See Also:
  Constant Field Values

### BAR_PLOT

    static final int BAR_PLOT

See Also:
  Constant Field Values

### BAR_PLOT_3D

    static final int BAR_PLOT_3D

See Also:
  Constant Field Values

### HISTOGRAM

    static final int HISTOGRAM

See Also:
  Constant Field Values

### HORIZONTAL_BAR_PLOT

    static final int HORIZONTAL_BAR_PLOT

See Also:
  Constant Field Values

### HORIZONTAL_BAR_PLOT_3D

    static final int HORIZONTAL_BAR_PLOT_3D

See Also:
  Constant Field Values

### LINE_PLOT

    static final int LINE_PLOT

See Also:
  Constant Field Values

### LINE_PLOT_3D

    static final int LINE_PLOT_3D

See Also:
  Constant Field Values

### PIE_PLOT

    static final int PIE_PLOT

See Also:
  Constant Field Values

### PIE_PLOT_3D

    static final int PIE_PLOT_3D

See Also:
  Constant Field Values

### PLOT_TYPE_MASK

    static final int PLOT_TYPE_MASK

See Also:
  Constant Field Values

### PREVIOUS_PLOT

    static final int PREVIOUS_PLOT

See Also:
  Constant Field Values

### SCATTER_PLOT

    static final int SCATTER_PLOT

See Also:
  Constant Field Values

### STACKED_AREA_PLOT

    static final int STACKED_AREA_PLOT

See Also:
  Constant Field Values

### STACKED_BAR_PLOT

    static final int STACKED_BAR_PLOT

See Also:
  Constant Field Values

### STACKED_BAR_PLOT_3D

    static final int STACKED_BAR_PLOT_3D

See Also:
  Constant Field Values

### STATISTICAL_BAR_PLOT

    static final int STATISTICAL_BAR_PLOT

See Also:
  Constant Field Values

### STATISTICS

    static final int STATISTICS

See Also:
  Constant Field Values

### threeDe

    static final int threeDe

See Also:
  Constant Field Values

### TIME_SERIES_PLOT

    static final int TIME_SERIES_PLOT

See Also:
  Constant Field Values

### WATERFALL_PLOT

    static final int WATERFALL_PLOT

See Also:
  Constant Field Values

### X_LOG

    static final int X_LOG

See Also:
  Constant Field Values

### XY_PLOT

    static final int XY_PLOT

See Also:
  Constant Field Values

### Y_LOG

    static final int Y_LOG

See Also:
  Constant Field Values

Method Detail

### setChart

    void setChart(Dataset dataset,
                  int plotType,
                  Map options)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD